// Translation functions
//setup default language to english
var translateObj = {
    error: false,
    errorString: null
};
translateObj.minAgo = "Min Ago";
translateObj.sunrise = "Sunrise";
translateObj.sunset = "Sunset";
translateObj.observationtime = "Observation Time";
translateObj.pressure = "Pressure";
translateObj.windgusts = "Wind Gusts";
translateObj.windspeed = "Wind Speed";
translateObj.windDirection = "Wind Direction";
translateObj.visibility = "Visibility";
translateObj.precip = "Precipitation";
translateObj.uvIndex = "UV Index";
translateObj.dewpoint = "Dew Point";
translateObj.cloudCover = "Cloud Cover";
translateObj.moonPhase = "Moon Phase";
translateObj.moonText = "Moon Text";
translateObj.rain = "Rain";
translateObj.snow = "Snow";
translateObj.humidity = "Humidity";
translateObj.hi = "H";
translateObj.lo = "L";
translateObj.real = "R";
translateObj.units = "Units:";
if (translateObj.moonText == 'new') moonText = 'New Moon';
if (translateObj.moonText == 'waxing crescent') moonText = 'Waxing Crescent Moon';
if (translateObj.moonText == 'first') moonText = 'First Moon';
if (translateObj.moonText == 'waxing gibbous') moonText = 'Waxing Gibbous Moon';
if (translateObj.moonText == 'full') moonText = 'Full Moon';
if (translateObj.moonText == 'waning gibbous') moonText = 'Waning Gibbous Moon';
if (translateObj.moonText == 'last') moonText = 'Last Moon';
if (translateObj.moonText == 'waning crescent') moonText = 'Waning Crescent Moon';


// German translations
function translate_de() {
    translateObj.minAgo = "Minuten seit letzter Aktualisierung";
    translateObj.sunrise = "Sonnenaufgang";
    translateObj.sunset = "Sonnenuntergang";
    translateObj.observationtime = "Beobachtungszeit";
    translateObj.pressure = "Luftdruck";
    translateObj.windgusts = "In B&ouml;en";
    translateObj.windspeed = "Windgeschwindigkeit";
    translateObj.windDirection = "Windrichtung";
    translateObj.visibility = "Sicht";
    translateObj.precip = "Niederschlag";
    translateObj.uvIndex = "UV Index";
    translateObj.dewpoint = "Taupunkt";
    translateObj.cloudCover = "Wolkenbedeckung";
    translateObj.hi = "Max";
    translateObj.lo = "Min";
    translateObj.real = "Real";
    translateObj.moonPhase = "Mondphase";
    translateObj.moonText = "Mondtext"; //? :)
    translateObj.rain = "Regen";
    translateObj.snow = "Schnee";
    translateObj.humidity = "Luftfeuchtigkeit";
    translateObj.units = "Einheiten:";

/*
Moon Text

				translateObj.moon1 = "New";
				translateObj.moon2 = "Waxing Crescent";
				translateObj.moon7 = "First";
				translateObj.moon8 = "Waxing Gibbous";
				translateObj.moon14 = "Full";
				translateObj.moon15 = "Waning Gibbous";
				translateObj.moon21 = "Last";
				translateObj.moon22 = "Waning Crescent";
*/
    if (translateObj.moonText == 'New') moonText = 'Neumond';
    if (translateObj.moonText == 'Waxing Crescent') moonText = 'Erstes Viertel';
    if (translateObj.moonText == 'First') moonText = 'zunehmender Halbmond';
    if (translateObj.moonText == 'Waxing Gibbous') moonText = 'Zweites Viertel';
    if (translateObj.moonText == 'Full') moonText = 'Vollmond';
    if (translateObj.moonText == 'Waning Gibbous') moonText = 'drittes Viertel';
    if (translateObj.moonText == 'Last') moonText = 'abnehmender Halbmond';
    if (translateObj.moonText == 'Waning Crescent') moonText = 'letztes Viertel';
    //description
    if (self.weatherObject.description.toLowerCase() == 'a shower') self.weatherObject.description = 'Leichte Regenschauer';
    if (self.weatherObject.description.toLowerCase() == 'a flurry') self.weatherObject.description = 'Leichte Schneeschauer';
    if (self.weatherObject.description.toLowerCase() == 'cold') self.weatherObject.description = 'Kalt';
    if (self.weatherObject.description.toLowerCase() == 'cool') self.weatherObject.description = 'K&uuml;hl';
    if (self.weatherObject.description.toLowerCase() == 'cloudy') self.weatherObject.description = 'Bew&ouml;lkt';
    if (self.weatherObject.description.toLowerCase() == 'clouds and sun') self.weatherObject.description = 'Sonne-Wolken-Gemisch';
    if (self.weatherObject.description.toLowerCase() == 'clear') self.weatherObject.description = 'Klar';
    if (self.weatherObject.description.toLowerCase() == 'dreary') self.weatherObject.description = 'Tr&uuml;be';
    if (self.weatherObject.description.toLowerCase() == 'drizzle/rain') self.weatherObject.description = 'Nieselregen';
    if (self.weatherObject.description.toLowerCase() == 'freezing rain') self.weatherObject.description = 'gefrierender Regen';
    if (self.weatherObject.description.toLowerCase() == 'fog') self.weatherObject.description = 'Nebel';
    if (self.weatherObject.description.toLowerCase() == 'foggy') self.weatherObject.description = 'Nebelig';
    if (self.weatherObject.description.toLowerCase() == 'groundfog') self.weatherObject.description = 'Bodennebel';
    if (self.weatherObject.description.toLowerCase() == 'hazy sunshine') self.weatherObject.description = 'Diesig und sonnig';
    if (self.weatherObject.description.toLowerCase() == 'hazy') self.weatherObject.description = 'Diesig';
    if (self.weatherObject.description.toLowerCase() == 'heavy rain') self.weatherObject.description = 'Starker Regen';
    if (self.weatherObject.description.toLowerCase() == 'hot') self.weatherObject.description = 'Hei&szlig;';
    if (self.weatherObject.description.toLowerCase() == 'flurries') self.weatherObject.description = 'Windig';
    if (self.weatherObject.description.toLowerCase() == 'intermittent clouds') self.weatherObject.description = 'Teilweise bew&ouml;lkt';
    if (self.weatherObject.description.toLowerCase() == 'ice') self.weatherObject.description = 'Eisgl&auml;tte';
    if (self.weatherObject.description.toLowerCase() == 'light rain') self.weatherObject.description = 'Leichter Regen';
    if (self.weatherObject.description.toLowerCase() == 'light rainshower') self.weatherObject.description = 'Leichte Regenschauer';
    if (self.weatherObject.description.toLowerCase() == 'lgt.rainshower') self.weatherObject.description = 'Leichte Regenschauer';
    if (self.weatherObject.description.toLowerCase() == 'light fog') self.weatherObject.description = 'Leichter Nebel';
    if (self.weatherObject.description.toLowerCase() == 'light snowshower') self.weatherObject.description = 'Leichte Schneeschauer';
    if (self.weatherObject.description.toLowerCase() == 'lgt.snowshower') self.weatherObject.description = 'Leichte Schneeschauer';
    if (self.weatherObject.description.toLowerCase() == 'light snow') self.weatherObject.description = 'Leichter Schneefall';
    if (self.weatherObject.description.toLowerCase() == 'mist') self.weatherObject.description = 'Dunstig';
    if (self.weatherObject.description.toLowerCase() == 'mostly clear') self.weatherObject.description = '&Uuml;berwiegend klar';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with snow') self.weatherObject.description = '&Uuml;berwiegend bew&ouml;lkt; Schneefall';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy') self.weatherObject.description = '&Uuml;berwiegend bew&ouml;lkt';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with showers') self.weatherObject.description = '&Uuml;berwiegend bew&ouml;lkt mit Regenschauern';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = '&Uuml;berwiegend bew&ouml;lkt mit Gewitterschauern';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = '&Uuml;berwiegend bew&ouml;lkt mit Gewitterschauern';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with flurries') self.weatherObject.description = '&Uuml;berwiegend bew&ouml;lkt und windig';
    if (self.weatherObject.description.toLowerCase() == 'mostly sunny') self.weatherObject.description = '&Uuml;berwiegend sonnig';
    if (self.weatherObject.description.toLowerCase() == 'overcast') self.weatherObject.description = 'Bew&ouml;lkt';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy') self.weatherObject.description = 'Teilweise bew&ouml;lkt';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with showers') self.weatherObject.description = 'Teilweise bew&ouml;lkt mit Regenschauern';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with thunder showers') self.weatherObject.description = 'Teilweise bew&ouml;lkt mit Gewitterschauern';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with showers') self.weatherObject.description = 'Teilweise sonnig mit schauern';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with flurries') self.weatherObject.description = 'Teilweise sonnig und windig';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Teilweise sonnig';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with thunder showers') self.weatherObject.description = 'Teilweise sonnig mit Gewitterschauer';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Teilweise sonnig';
    if (self.weatherObject.description.toLowerCase() == 'plight snow') self.weatherObject.description = 'Heftiger Schneefall';
    if (self.weatherObject.description.toLowerCase() == 'rain') self.weatherObject.description = 'Regen';
    if (self.weatherObject.description.toLowerCase() == 'rain shower') self.weatherObject.description = 'Regenschauer';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow') self.weatherObject.description = 'Schneeregen';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow mixed') self.weatherObject.description = 'Schneeregen';
    if (self.weatherObject.description.toLowerCase() == 'retired') self.weatherObject.description = 'keine Daten verf&uuml;gbar';
    if (self.weatherObject.description.toLowerCase() == 'scattered clouds') self.weatherObject.description = 'Aufgelockerte bew&ouml:lkung';
    if (self.weatherObject.description.toLowerCase() == 'sunshine and patchy clouds') self.weatherObject.description = 'Sonnig und leicht bew&ouml;lkt';
    if (self.weatherObject.description.toLowerCase() == 'sunny') self.weatherObject.description = 'Sonnig';
    if (self.weatherObject.description.toLowerCase() == 'showers') self.weatherObject.description = 'Schauer';
    if (self.weatherObject.description.toLowerCase() == 'sleet') self.weatherObject.description = 'Graupelschauer';
    if (self.weatherObject.description.toLowerCase() == 'snow') self.weatherObject.description = 'Schneefall';
    if (self.weatherObject.description.toLowerCase() == 'some clouds') self.weatherObject.description = 'Leicht bew&ouml;lkt';
    if (self.weatherObject.description.toLowerCase() == 'thunderstorm') self.weatherObject.description = 'Gewitter';
    if (self.weatherObject.description.toLowerCase() == 'windy') self.weatherObject.description = 'Leichter Wind';
	
// New

    if (self.weatherObject.description.toLowerCase() == 'light rain drizzle') self.weatherObject.description = 'Leichter Nieselregen';
    if (self.weatherObject.description.toLowerCase() == 'light showers rain') self.weatherObject.description = 'Leichte Regenschauer';
    if (self.weatherObject.description.toLowerCase() == 'drizzle mist') self.weatherObject.description = 'Nieselregen, Dunstig';
    if (self.weatherObject.description.toLowerCase() == 'light drizzle fog') self.weatherObject.description = 'leichter Nieselregen, Nebel';
    if (self.weatherObject.description.toLowerCase() == 'light rain drizzle mist') self.weatherObject.description = 'leichtes Nieseln, Dunstig';

    //forecast
    for (var i in self.weatherObject.forecast) {
        if (self.weatherObject.forecast[i].daycode == 'Sunday') self.weatherObject.forecast[i].daycode = 'Sonntag';
        if (self.weatherObject.forecast[i].daycode == 'Monday') self.weatherObject.forecast[i].daycode = 'Montag';
        if (self.weatherObject.forecast[i].daycode == 'Tuesday') self.weatherObject.forecast[i].daycode = 'Dienstag';
        if (self.weatherObject.forecast[i].daycode == 'Wednesday') self.weatherObject.forecast[i].daycode = 'Mittwoch';
        if (self.weatherObject.forecast[i].daycode == 'Thursday') self.weatherObject.forecast[i].daycode = 'Donnerstag';
        if (self.weatherObject.forecast[i].daycode == 'Friday') self.weatherObject.forecast[i].daycode = 'Freitag';
        if (self.weatherObject.forecast[i].daycode == 'Saturday') self.weatherObject.forecast[i].daycode = 'Samstag';
        if (self.weatherObject.forecast[i].desc == 'A Shower') self.weatherObject.forecast[i].desc = 'Regenschauer';
        if (self.weatherObject.forecast[i].desc == 'Cold') self.weatherObject.forecast[i].desc = 'Kalt';
        if (self.weatherObject.forecast[i].desc == 'Chance of Rain') self.weatherObject.forecast[i].desc = 'Schauerneigung';
        if (self.weatherObject.forecast[i].desc == 'Chance of Snow') self.weatherObject.forecast[i].desc = 'evtl. Schneefall';
        if (self.weatherObject.forecast[i].desc == 'Cool') self.weatherObject.forecast[i].desc = 'K¸hl';
        if (self.weatherObject.forecast[i].desc == 'Cloudy') self.weatherObject.forecast[i].desc = 'Bew&ouml;lkt';
        if (self.weatherObject.forecast[i].desc == 'Clouds and Sun') self.weatherObject.forecast[i].desc = 'Wolken &amp; Sonne';
        if (self.weatherObject.forecast[i].desc == 'Clear') self.weatherObject.forecast[i].desc = 'Klar';
        if (self.weatherObject.forecast[i].desc == 'Dreary') self.weatherObject.forecast[i].desc = 'Tr&uuml;be';
        if (self.weatherObject.forecast[i].desc == 'Drizzle') self.weatherObject.forecast[i].desc = 'Spr&uuml;hregen';
        if (self.weatherObject.forecast[i].desc == 'Drizzle/Rain') self.weatherObject.forecast[i].desc = 'Nieselregen';
        if (self.weatherObject.forecast[i].desc == 'Freezing Rain') self.weatherObject.forecast[i].desc = 'Gefrierender Regen';
        if (self.weatherObject.forecast[i].desc == 'Fog') self.weatherObject.forecast[i].desc = 'Neblig';
        if (self.weatherObject.forecast[i].desc == 'Foggy') self.weatherObject.forecast[i].desc = 'Nebel';
        if (self.weatherObject.forecast[i].desc == 'Groundfog') self.weatherObject.forecast[i].desc = 'Bodennebel';
        if (self.weatherObject.forecast[i].desc == 'Hazy Sunshine') self.weatherObject.forecast[i].desc = 'Diesig &amp; sonnig';
        if (self.weatherObject.forecast[i].desc == 'Hazy') self.weatherObject.forecast[i].desc = 'Diesig';
        if (self.weatherObject.forecast[i].desc == 'Heavy Rain') self.weatherObject.forecast[i].desc = 'heftige Regenf&auml;lle';
        if (self.weatherObject.forecast[i].desc == 'Hot') self.weatherObject.forecast[i].desc = 'Hei&szlig;';
        if (self.weatherObject.forecast[i].desc == 'Flurries') self.weatherObject.forecast[i].desc = 'Windig';
        if (self.weatherObject.forecast[i].desc == 'Intermittent Clouds') self.weatherObject.forecast[i].desc = 'wechselnde Bew&ouml;lkung';
        if (self.weatherObject.forecast[i].desc == 'Ice') self.weatherObject.forecast[i].desc = 'Eis';
        if (self.weatherObject.forecast[i].desc == 'Light Rain') self.weatherObject.forecast[i].desc = 'Leichter Regen';
        if (self.weatherObject.forecast[i].desc == 'Light Rainshower') self.weatherObject.forecast[i].desc = 'Leichte Regenschauer';
        if (self.weatherObject.forecast[i].desc == 'Lgt.Rainshower') self.weatherObject.forecast[i].desc = 'Leichte Regenschauer';
        if (self.weatherObject.forecast[i].desc == 'Light Fog') self.weatherObject.forecast[i].desc = 'Leichter Nebel';
        if (self.weatherObject.forecast[i].desc == 'Light Snowshower') self.weatherObject.forecast[i].desc = 'Leichte Schneeschauer';
        if (self.weatherObject.forecast[i].desc == 'Light Snow') self.weatherObject.forecast[i].desc = 'Leichter Schneefall';
        if (self.weatherObject.forecast[i].desc == 'Mist') self.weatherObject.forecast[i].desc = 'Dunstig';
        if (self.weatherObject.forecast[i].desc == 'Mostly Clear') self.weatherObject.forecast[i].desc = 'Meistens klar';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with snow') self.weatherObject.forecast[i].desc = '&uuml;berwiegend wolkig &amp; Schneefall';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy') self.weatherObject.forecast[i].desc = '&uuml;berwiegend Wolkig';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Showers') self.weatherObject.forecast[i].desc = '&uuml;berwiegend wolkig &amp; Regenschauer';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = '&uuml;berwiegend wolkig &amp; Gewitter';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = '&uuml;berwiegend wolkig & Gewitter';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Flurries') self.weatherObject.forecast[i].desc = '&uuml;berwiegend wolkig & Schneeschauer';
        if (self.weatherObject.forecast[i].desc == 'Mostly Sunny') self.weatherObject.forecast[i].desc = '&uuml;berwiegend sonnig';
        if (self.weatherObject.forecast[i].desc == 'Overcast') self.weatherObject.forecast[i].desc = 'bew&ouml;kt';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy') self.weatherObject.forecast[i].desc = 'Teilweise wolkig';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Teilweise wolkig &amp; regnerisch';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Teilweise wolkig &amp; Gewitter';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Showers') self.weatherObject.forecast[i].desc = 'Teilweise sonnig &amp; Regenschauer';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Flurries') self.weatherObject.forecast[i].desc = 'Teilweise sonnig &amp; Schneeschauer';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Teilweise sonnig';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Thunder Showers') self.weatherObject.forecast[i].desc = 'Teilweise sonnig &amp; Gewitter';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Teilweise sonnig';
        if (self.weatherObject.forecast[i].desc == 'Plight Snow') self.weatherObject.forecast[i].desc = 'heftiger Schneefall';
        if (self.weatherObject.forecast[i].desc == 'Rain') self.weatherObject.forecast[i].desc = 'Regen';
        if (self.weatherObject.forecast[i].desc == 'Rain Shower') self.weatherObject.forecast[i].desc = 'Regenschauer';
        if (self.weatherObject.forecast[i].desc == 'Rain and Snow Mixed') self.weatherObject.forecast[i].desc = 'Schneeregen';
        if (self.weatherObject.forecast[i].desc == 'Retired') self.weatherObject.forecast[i].desc = 'keiner Wetterdaten abrufbar';
        if (self.weatherObject.forecast[i].desc == 'scattered clouds') self.weatherObject.forecast[i].desc = 'aufgelockerte Bew&ouml;lkung';
        if (self.weatherObject.forecast[i].desc == 'Sunshine and patchy clouds') self.weatherObject.forecast[i].desc = 'Sonnenschein &amp; einige Wolken';
        if (self.weatherObject.forecast[i].desc == 'Sunny') self.weatherObject.forecast[i].desc = 'Sonne';
        if (self.weatherObject.forecast[i].desc == 'Showers') self.weatherObject.forecast[i].desc = 'Regenschauer';
        if (self.weatherObject.forecast[i].desc == 'Sleet') self.weatherObject.forecast[i].desc = 'Hagel';
        if (self.weatherObject.forecast[i].desc == 'Snow') self.weatherObject.forecast[i].desc = 'Scheefall';
        if (self.weatherObject.forecast[i].desc == 'Some Clouds') self.weatherObject.forecast[i].desc = 'einige Wolken';
        if (self.weatherObject.forecast[i].desc == 'Thunderstorm') self.weatherObject.forecast[i].desc = 'Gewitter';
        if (self.weatherObject.forecast[i].desc == 'Windy') self.weatherObject.forecast[i].desc = 'Windig';
    }
}
// Spanish translations


function translate_es() {
    translateObj.hi = "T.Alta";
    translateObj.lo = "T.Baja";
    translateObj.minAgo = "Minutos desde la actualizacion";
    translateObj.sunrise = "Salida del sol";
    translateObj.sunset = "Puesta del sol";
    translateObj.observationtime = "Tiempo de observacion";
    translateObj.pressure = "Presion";
    translateObj.windgusts = "Rafagas de viento";
    translateObj.windspeed = "Velocidad del viento";
    translateObj.windDirection = "Direccion del viento";
    translateObj.visibility = "Visibilidad";
    translateObj.precip = "Precipitacion";
    translateObj.uvIndex = "Coeficiente Ultravioleta";
    translateObj.dewpoint = "Rocio";
    translateObj.cloudCover = "Nubosidad";
    translateObj.moonPhase = "Fase lunar";
    translateObj.moonText = "Moon Text";
    translateObj.rain = "Lluvia";
    translateObj.snow = "Nieve";
    translateObj.humidity = "Humedad";
/*
Moon Text

				translateObj.moon1 = "New";
				translateObj.moon2 = "Waxing Crescent";
				translateObj.moon7 = "First";
				translateObj.moon8 = "Waxing Gibbous";
				translateObj.moon14 = "Full";
				translateObj.moon15 = "Waning Gibbous";
				translateObj.moon21 = "Last";
				translateObj.moon22 = "Waning Crescent";
*/
    if (translateObj.moonText == 'New') moonText = 'Nueva';
    if (translateObj.moonText == 'Waxing Crescent') moonText = 'Luna nueva visible';
    if (translateObj.moonText == 'First') moonText = 'Cuarto creciente';
    if (translateObj.moonText == 'Waxing Gibbous') moonText = 'Luna gibosa creciente';
    if (translateObj.moonText == 'Full') moonText = 'Luna llena';
    if (translateObj.moonText == 'Waning Gibbous') moonText = 'Luna gibosa menguante';
    if (translateObj.moonText == 'Last') moonText = 'cuarto menguante';
    if (translateObj.moonText == 'Waning Crescent') moonText = 'lLuna menguante';
    //tiempo
    if (self.weatherObject.description.toLowerCase() == 'a shower') self.weatherObject.description = 'Chaparron';
    if (self.weatherObject.description.toLowerCase() == 'cold') self.weatherObject.description = 'Frio';
    if (self.weatherObject.description.toLowerCase() == 'cool') self.weatherObject.description = 'Fresco';
    if (self.weatherObject.description.toLowerCase() == 'cloudy') self.weatherObject.description = 'Nublado';
    if (self.weatherObject.description.toLowerCase() == 'clouds and sun') self.weatherObject.description = 'Nubes y claros';
    if (self.weatherObject.description.toLowerCase() == 'clear') self.weatherObject.description = 'Despejado';
    if (self.weatherObject.description.toLowerCase() == 'dreary') self.weatherObject.description = 'Triste';
    if (self.weatherObject.description.toLowerCase() == 'drizzle') self.weatherObject.description = 'Llovizna';
    if (self.weatherObject.description.toLowerCase() == 'drizzle/rain') self.weatherObject.description = 'Peque&ntilde;a llovizna';
    if (self.weatherObject.description.toLowerCase() == 'freezing rain') self.weatherObject.description = 'Lluvia heladora';
    if (self.weatherObject.description.toLowerCase() == 'fog') self.weatherObject.description = 'Neblina';
    if (self.weatherObject.description.toLowerCase() == 'foggy') self.weatherObject.description = 'Niebla';
    if (self.weatherObject.description.toLowerCase() == 'groundfog') self.weatherObject.description = 'Niebla densa';
    if (self.weatherObject.description.toLowerCase() == 'hazy sunshine') self.weatherObject.description = 'Brumoso y nublado';
    if (self.weatherObject.description.toLowerCase() == 'hazy') self.weatherObject.description = 'Brumoso';
    if (self.weatherObject.description.toLowerCase() == 'haze') self.weatherObject.description = 'Niebla';
    if (self.weatherObject.description.toLowerCase() == 'heavy rain') self.weatherObject.description = 'Aguacero';
    if (self.weatherObject.description.toLowerCase() == 'hot') self.weatherObject.description = 'Calor';
    if (self.weatherObject.description.toLowerCase() == 'flurries') self.weatherObject.description = 'Ventoso';
    if (self.weatherObject.description.toLowerCase() == 'intermittent clouds') self.weatherObject.description = 'Nubes intermitentes';
    if (self.weatherObject.description.toLowerCase() == 'ice') self.weatherObject.description = 'Hielo';
    if (self.weatherObject.description.toLowerCase() == 'light rain') self.weatherObject.description = 'Lluvia ligera';
    if (self.weatherObject.description.toLowerCase() == 'light rainshower') self.weatherObject.description = 'Ligero aguacero';
    if (self.weatherObject.description.toLowerCase() == 'lgt.rainshower') self.weatherObject.description = 'Ligero aguacero';
    if (self.weatherObject.description.toLowerCase() == 'light fog') self.weatherObject.description = 'Ligera neblina';
    if (self.weatherObject.description.toLowerCase() == 'light snowshower') self.weatherObject.description = 'Ligera nevada';
    if (self.weatherObject.description.toLowerCase() == 'light snow') self.weatherObject.description = 'Nieve ligera';
    if (self.weatherObject.description.toLowerCase() == 'mist') self.weatherObject.description = 'Brumoso';
    if (self.weatherObject.description.toLowerCase() == 'mostly clear') self.weatherObject.description = 'Mayormente Despejado';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with snow') self.weatherObject.description = 'Mayormente Nublado con nieve';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy') self.weatherObject.description = 'Mayormente Nublado';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with showers') self.weatherObject.description = 'Mayormente Nublado con chaparrones';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = 'Mayormente Nublado con tormenta electrica';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = 'Mayormente Nublado con tormenta electrica';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with flurries') self.weatherObject.description = 'Mayormente nublado con viento';
    if (self.weatherObject.description.toLowerCase() == 'mostly sunny') self.weatherObject.description = 'Mayormente despejado';
    if (self.weatherObject.description.toLowerCase() == 'overcast') self.weatherObject.description = 'Nublado';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy') self.weatherObject.description = 'Parcialmente nublado';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with showers') self.weatherObject.description = 'Parcialmente nublado con chaparrones';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with thunder showers') self.weatherObject.description = 'Parcialmente nublado con tormenta electrica';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with showers') self.weatherObject.description = 'Parcialmente soleado con chaparrones';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with flurries') self.weatherObject.description = 'Parcialmente despejado con viento';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Parcialmente despejado';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with thunder showers') self.weatherObject.description = 'Parcialmente despejado con tormenta electrica';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Parcialmente soleado';
    if (self.weatherObject.description.toLowerCase() == 'plight snow') self.weatherObject.description = 'Fuerte nevada';
    if (self.weatherObject.description.toLowerCase() == 'rain') self.weatherObject.description = 'Lluvia';
    if (self.weatherObject.description.toLowerCase() == 'rain shower') self.weatherObject.description = 'Chaparron';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow mixed') self.weatherObject.description = 'Aguanieve';
    if (self.weatherObject.description.toLowerCase() == 'retired') self.weatherObject.description = 'Sin datos disponibles';
    if (self.weatherObject.description.toLowerCase() == 'scattered clouds') self.weatherObject.description = 'Nubes dispersas';
    if (self.weatherObject.description.toLowerCase() == 'sunshine and patchy clouds') self.weatherObject.description = 'Soleado con intervalos nubosos';
    if (self.weatherObject.description.toLowerCase() == 'sunny') self.weatherObject.description = 'Soleado';
    if (self.weatherObject.description.toLowerCase() == 'showers') self.weatherObject.description = 'Chaparrones';
    if (self.weatherObject.description.toLowerCase() == 'sleet') self.weatherObject.description = 'Granizo';
    if (self.weatherObject.description.toLowerCase() == 'snow') self.weatherObject.description = 'Nevado';
    if (self.weatherObject.description.toLowerCase() == 'some clouds') self.weatherObject.description = 'Parcialmente nublado';
    if (self.weatherObject.description.toLowerCase() == 'thunderstorm') self.weatherObject.description = 'Tormenta electrica';
    if (self.weatherObject.description.toLowerCase() == 'windy') self.weatherObject.description = 'Viento ligero';
    //Prevision
    for (var i in self.weatherObject.forecast) {
        if (self.weatherObject.forecast[i].daycode == 'Sunday') self.weatherObject.forecast[i].daycode = 'Domingo';
        if (self.weatherObject.forecast[i].daycode == 'Monday') self.weatherObject.forecast[i].daycode = 'Lunes';
        if (self.weatherObject.forecast[i].daycode == 'Tuesday') self.weatherObject.forecast[i].daycode = 'Martes';
        if (self.weatherObject.forecast[i].daycode == 'Wednesday') self.weatherObject.forecast[i].daycode = 'Miercoles';
        if (self.weatherObject.forecast[i].daycode == 'Thursday') self.weatherObject.forecast[i].daycode = 'Jueves';
        if (self.weatherObject.forecast[i].daycode == 'Friday') self.weatherObject.forecast[i].daycode = 'Viernes';
        if (self.weatherObject.forecast[i].daycode == 'Saturday') self.weatherObject.forecast[i].daycode = 'Sabado';
        if (self.weatherObject.forecast[i].desc == 'A Shower') self.weatherObject.forecast[i].desc = 'Chaparron';
        if (self.weatherObject.forecast[i].desc == 'Cold') self.weatherObject.forecast[i].desc = 'Frio';
        if (self.weatherObject.forecast[i].desc == 'Chance of Rain') self.weatherObject.forecast[i].desc = 'Probabilidad de lluvia';
        if (self.weatherObject.forecast[i].desc == 'Cool') self.weatherObject.forecast[i].desc = 'Fresco';
        if (self.weatherObject.forecast[i].desc == 'Cloudy') self.weatherObject.forecast[i].desc = 'Nublado';
        if (self.weatherObject.forecast[i].desc == 'Clouds and Sun') self.weatherObject.forecast[i].desc = 'Nubes y claros';
        if (self.weatherObject.forecast[i].desc == 'Clear') self.weatherObject.forecast[i].desc = 'Despejado';
        if (self.weatherObject.forecast[i].desc == 'Dreary') self.weatherObject.forecast[i].desc = 'Triste';
        if (self.weatherObject.forecast[i].desc == 'Drizzle') self.weatherObject.forecast[i].desc = 'Llovizna';
        if (self.weatherObject.forecast[i].desc == 'Drizzle/Rain') self.weatherObject.forecast[i].desc = 'Peque&oacute;a llovizna';
        if (self.weatherObject.forecast[i].desc == 'Freezing Rain') self.weatherObject.forecast[i].desc = 'Lluvia heladora';
        if (self.weatherObject.forecast[i].desc == 'Fog') self.weatherObject.forecast[i].desc = 'Neblina';
        if (self.weatherObject.forecast[i].desc == 'Foggy') self.weatherObject.forecast[i].desc = 'Niebla';
        if (self.weatherObject.forecast[i].desc == 'Groundfog') self.weatherObject.forecast[i].desc = 'Niebla densa';
        if (self.weatherObject.forecast[i].desc == 'Hazy Sunshine') self.weatherObject.forecast[i].desc = 'Brumoso y nublado';
        if (self.weatherObject.forecast[i].desc == 'Hazy') self.weatherObject.forecast[i].desc = 'Brumoso';
        if (self.weatherObject.forecast[i].desc == 'Heavy Rain') self.weatherObject.forecast[i].desc = 'Aguacero';
        if (self.weatherObject.forecast[i].desc == 'Hot') self.weatherObject.forecast[i].desc = 'Calor';
        if (self.weatherObject.forecast[i].desc == 'Flurries') self.weatherObject.forecast[i].desc = 'Ventoso';
        if (self.weatherObject.forecast[i].desc == 'Intermittent Clouds') self.weatherObject.forecast[i].desc = 'Nubes intermitentes';
        if (self.weatherObject.forecast[i].desc == 'Ice') self.weatherObject.forecast[i].desc = 'Hielo';
        if (self.weatherObject.forecast[i].desc == 'Light Rain') self.weatherObject.forecast[i].desc = 'Lluvia ligera';
        if (self.weatherObject.forecast[i].desc == 'Light Rainshower') self.weatherObject.forecast[i].desc = 'Ligero aguacero';
        if (self.weatherObject.forecast[i].desc == 'Lgt.Rainshower') self.weatherObject.forecast[i].desc = 'Ligero aguacero';
        if (self.weatherObject.forecast[i].desc == 'Light Fog') self.weatherObject.forecast[i].desc = 'Ligera neblina';
        if (self.weatherObject.forecast[i].desc == 'Light Snowshower') self.weatherObject.forecast[i].desc = 'Ligera nevada';
        if (self.weatherObject.forecast[i].desc == 'Light Snow') self.weatherObject.forecast[i].desc = 'Nieve ligera';
        if (self.weatherObject.forecast[i].desc == 'Mist') self.weatherObject.forecast[i].desc = 'Brumoso';
        if (self.weatherObject.forecast[i].desc == 'Mostly Clear') self.weatherObject.forecast[i].desc = 'Mayormente Despejado';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with snow') self.weatherObject.forecast[i].desc = 'Mayormente Nublado con nieve';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy') self.weatherObject.forecast[i].desc = 'Mayormente Nublado';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Mayormente Nublado con chaparrones';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Mayormente Nublado con tormenta electrica';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Mayormente Nublado con tormenta electrica';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Flurries') self.weatherObject.forecast[i].desc = 'Mayormente nublado con viento';
        if (self.weatherObject.forecast[i].desc == 'Mostly Sunny') self.weatherObject.forecast[i].desc = 'Mayormente despejado';
        if (self.weatherObject.forecast[i].desc == 'Overcast') self.weatherObject.forecast[i].desc = 'Nublado';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy') self.weatherObject.forecast[i].desc = 'Parcialmente nublado';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Parcialmente nublado con chaparrones';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Parcialmente nublado con tormenta electrica';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Showers') self.weatherObject.forecast[i].desc = 'Parcialmente soleado con chaparrones';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Flurries') self.weatherObject.forecast[i].desc = 'Parcialmente despejado con viento';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Parcialmente despejado';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Thunder Showers') self.weatherObject.forecast[i].desc = 'Parcialmente despejado con tormenta electrica';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Parcialmente soleado';
        if (self.weatherObject.forecast[i].desc == 'Plight Snow') self.weatherObject.forecast[i].desc = 'Fuerte nevada';
        if (self.weatherObject.forecast[i].desc == 'Rain') self.weatherObject.forecast[i].desc = 'Lluvia';
        if (self.weatherObject.forecast[i].desc == 'Rain Shower') self.weatherObject.forecast[i].desc = 'Chaparron';
        if (self.weatherObject.forecast[i].desc == 'Rain and Snow Mixed') self.weatherObject.forecast[i].desc = 'Aguanieve';
        if (self.weatherObject.forecast[i].desc == 'Retired') self.weatherObject.forecast[i].desc = 'Sin datos disponibles';
        if (self.weatherObject.forecast[i].desc == 'scattered clouds') self.weatherObject.forecast[i].desc = 'Nubes dispersas';
        if (self.weatherObject.forecast[i].desc == 'Sunshine and patchy clouds') self.weatherObject.forecast[i].desc = 'Soleado con intervalos nubosos';
        if (self.weatherObject.forecast[i].desc == 'Sunny') self.weatherObject.forecast[i].desc = 'Soleado';
        if (self.weatherObject.forecast[i].desc == 'Showers') self.weatherObject.forecast[i].desc = 'Chaparrones';
        if (self.weatherObject.forecast[i].desc == 'Sleet') self.weatherObject.forecast[i].desc = 'Granizo';
        if (self.weatherObject.forecast[i].desc == 'Snow') self.weatherObject.forecast[i].desc = 'Nevado';
        if (self.weatherObject.forecast[i].desc == 'Some Clouds') self.weatherObject.forecast[i].desc = 'Parcialmente nublado';
        if (self.weatherObject.forecast[i].desc == 'Thunderstorm') self.weatherObject.forecast[i].desc = 'Tormenta electrica';
        if (self.weatherObject.forecast[i].desc == 'Windy') self.weatherObject.forecast[i].desc = 'Viento ligero';
    }
}
// Danish translations


function translate_dk() {
    translateObj.minAgo = "Min Siden";
    translateObj.sunrise = "Solopgang";
    translateObj.sunset = "Solnedgang";
    translateObj.observationtime = "Observations Tid";
    translateObj.pressure = "Luft Tryk";
    translateObj.windgusts = "Vind hastigheder";
    translateObj.windspeed = "Vind Hastighed";
    translateObj.windDirection = "Vind Retning";
    translateObj.visibility = "Sigtbarhed";
    translateObj.precip = "VandM&aelig;ngde";
    translateObj.uvIndex = "UV Indhold";
    translateObj.dewpoint = "Luftfugtighed";
    translateObj.cloudCover = "Overskyet";
    translateObj.moonPhase = "M&aring;ne Fase";
    translateObj.moonText = "M&aring;ne Tekst";
    translateObj.rain = "Regn";
    translateObj.snow = "Sne";
    translateObj.humidity = "Luftfugtighed";
    translateObj.hi = "H";
    translateObj.lo = "L";
    translateObj.real = "R";

    if (translateObj.moonText == 'new') moonText = 'Ny M&aring;ne';
    if (translateObj.moonText == 'waxing crescent') moonText = 'Trekvart M&aring;ne';
    if (translateObj.moonText == 'first') moonText = 'Halv M&aring;ne';
    if (translateObj.moonText == 'waxing gibbous') moonText = 'Trekvart M&aring;ne';
    if (translateObj.moonText == 'full') moonText = 'FuldM&aring;ne';
    if (translateObj.moonText == 'waning gibbous') moonText = 'Trekvart M&aring;ne';
    if (translateObj.moonText == 'last') moonText = 'Last Moon';
    if (translateObj.moonText == 'waning crescent') moonText = 'Halv M&aring;ne';
    //description
    if (self.weatherObject.description.toLowerCase() == 'a shower') self.weatherObject.description = 'Regnvejr';
    if (self.weatherObject.description.toLowerCase() == 'a flurry') self.weatherObject.description = 'Leichte Schneeschauer';
    if (self.weatherObject.description.toLowerCase() == 'cold') self.weatherObject.description = 'Koldt';
    if (self.weatherObject.description.toLowerCase() == 'cool') self.weatherObject.description = 'K&oslash;lig';
    if (self.weatherObject.description.toLowerCase() == 'cloudy') self.weatherObject.description = 'Overskyet';
    if (self.weatherObject.description.toLowerCase() == 'clouds and sun') self.weatherObject.description = 'Sol men overskyet';
    if (self.weatherObject.description.toLowerCase() == 'clear') self.weatherObject.description = 'Klart';
    if (self.weatherObject.description.toLowerCase() == 'dreary') self.weatherObject.description = 'Trist';
    if (self.weatherObject.description.toLowerCase() == 'drizzle/rain') self.weatherObject.description = 'Let regn';
    if (self.weatherObject.description.toLowerCase() == 'freezing rain') self.weatherObject.description = 'Is-slag';
    if (self.weatherObject.description.toLowerCase() == 'fog') self.weatherObject.description = 'T&aring;ge';
    if (self.weatherObject.description.toLowerCase() == 'foggy') self.weatherObject.description = 'T&aring;get';
    if (self.weatherObject.description.toLowerCase() == 'groundfog') self.weatherObject.description = 'Let t&aring;ge';
    if (self.weatherObject.description.toLowerCase() == 'hazy sunshine') self.weatherObject.description = 'Diset men solskin';
    if (self.weatherObject.description.toLowerCase() == 'hazy') self.weatherObject.description = 'Diset';
    if (self.weatherObject.description.toLowerCase() == 'heavy rain') self.weatherObject.description = 'Kraftig regn';
    if (self.weatherObject.description.toLowerCase() == 'hot') self.weatherObject.description = 'Varmt';
    if (self.weatherObject.description.toLowerCase() == 'flurries') self.weatherObject.description = 'Slud';
    if (self.weatherObject.description.toLowerCase() == 'intermittent clouds') self.weatherObject.description = 'Overskyet';
    if (self.weatherObject.description.toLowerCase() == 'ice') self.weatherObject.description = 'Is';
    if (self.weatherObject.description.toLowerCase() == 'light rain') self.weatherObject.description = 'Let regn';
    if (self.weatherObject.description.toLowerCase() == 'light rainshower') self.weatherObject.description = 'Kraftig regn';
    if (self.weatherObject.description.toLowerCase() == 'lgt.rainshower') self.weatherObject.description = 'Let regnvejr';
    if (self.weatherObject.description.toLowerCase() == 'light fog') self.weatherObject.description = 'Let t&aring;ge';
    if (self.weatherObject.description.toLowerCase() == 'light snowshower') self.weatherObject.description = 'Let snevejr';
    if (self.weatherObject.description.toLowerCase() == 'lgt.snowshower') self.weatherObject.description = 'Kraftig snevejr';
    if (self.weatherObject.description.toLowerCase() == 'light snow') self.weatherObject.description = 'Let sne';
    if (self.weatherObject.description.toLowerCase() == 'mist') self.weatherObject.description = 'T&aring;ge';
    if (self.weatherObject.description.toLowerCase() == 'mostly clear') self.weatherObject.description = 'Overvejende klart';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with snow') self.weatherObject.description = 'Overvejende klart med sne';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy') self.weatherObject.description = 'Mest skyet';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with showers') self.weatherObject.description = 'Mest skyet med let regn';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = '&uuml;berwiegend bew&ouml;lkt mit gewitterschauern';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = 'Overskyet med tordenskyer';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with flurries') self.weatherObject.description = 'Mest overskyet med slud';
    if (self.weatherObject.description.toLowerCase() == 'mostly sunny') self.weatherObject.description = 'For det meste solrigt';
    if (self.weatherObject.description.toLowerCase() == 'overcast') self.weatherObject.description = 'Overskyet';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy') self.weatherObject.description = 'Delvist overskyet';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with showers') self.weatherObject.description = 'Delvist overskirt med regn';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with thunder showers') self.weatherObject.description = 'Delvist overskyet med tordenskyer';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with showers') self.weatherObject.description = 'Delvist sol med byer';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with flurries') self.weatherObject.description = 'Delvist solrig med slud';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Delvist solrig';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with thunder showers') self.weatherObject.description = 'Delvist solrig med tordenskyer';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Delvist solrig';
    if (self.weatherObject.description.toLowerCase() == 'plight snow') self.weatherObject.description = 'Kraftigt snefald';
    if (self.weatherObject.description.toLowerCase() == 'rain') self.weatherObject.description = 'Regn';
    if (self.weatherObject.description.toLowerCase() == 'rain shower') self.weatherObject.description = 'Regnvejr';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow') self.weatherObject.description = 'Regn og snevejr';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow mixed') self.weatherObject.description = 'Regn og snevejr';
    if (self.weatherObject.description.toLowerCase() == 'retired') self.weatherObject.description = 'Aftagende';
    if (self.weatherObject.description.toLowerCase() == 'scattered clouds') self.weatherObject.description = 'Spredte skyer';
    if (self.weatherObject.description.toLowerCase() == 'sunshine and patchy clouds') self.weatherObject.description = 'Solrigt med spredte skyer';
    if (self.weatherObject.description.toLowerCase() == 'sunny') self.weatherObject.description = 'Solrigt';
    if (self.weatherObject.description.toLowerCase() == 'showers') self.weatherObject.description = 'Regnvejr';
    if (self.weatherObject.description.toLowerCase() == 'sleet') self.weatherObject.description = 'Slud';
    if (self.weatherObject.description.toLowerCase() == 'snow') self.weatherObject.description = 'Snevejr';
    if (self.weatherObject.description.toLowerCase() == 'some clouds') self.weatherObject.description = 'Delvist overskyet';
    if (self.weatherObject.description.toLowerCase() == 'thunderstorm') self.weatherObject.description = 'Tordenvejr';
    if (self.weatherObject.description.toLowerCase() == 'windy') self.weatherObject.description = 'Bl&aelig;sende';
    if (self.weatherObject.description.toLowerCase() == 'light showers rain') self.weatherObject.description = 'St&oslash;vregn';
	if (self.weatherObject.description.toLowerCase() == 'freezing fog') self.weatherObject.description = 'is-slag';
    //forecast
    for (var i in self.weatherObject.forecast) {
        if (self.weatherObject.forecast[i].daycode == 'Sunday') self.weatherObject.forecast[i].daycode = 'S&oslash;ndag';
        if (self.weatherObject.forecast[i].daycode == 'Monday') self.weatherObject.forecast[i].daycode = 'Mandag';
        if (self.weatherObject.forecast[i].daycode == 'Tuesday') self.weatherObject.forecast[i].daycode = 'tirsdag';
        if (self.weatherObject.forecast[i].daycode == 'Wednesday') self.weatherObject.forecast[i].daycode = 'Onsdag';
        if (self.weatherObject.forecast[i].daycode == 'Thursday') self.weatherObject.forecast[i].daycode = 'Torsdag';
        if (self.weatherObject.forecast[i].daycode == 'Friday') self.weatherObject.forecast[i].daycode = 'Fredag';
        if (self.weatherObject.forecast[i].daycode == 'Saturday') self.weatherObject.forecast[i].daycode = 'L&oslash;rdag';
        if (self.weatherObject.forecast[i].desc == 'A Shower') self.weatherObject.forecast[i].desc = 'Regnvejr';
        if (self.weatherObject.forecast[i].desc == 'Cold') self.weatherObject.forecast[i].desc = 'Koldt';
        if (self.weatherObject.forecast[i].desc == 'Chance of Rain') self.weatherObject.forecast[i].desc = 'Regnvejr';
        if (self.weatherObject.forecast[i].desc == 'Chance of Snow') self.weatherObject.forecast[i].desc = 'Snevejr';
        if (self.weatherObject.forecast[i].desc == 'Cool') self.weatherObject.forecast[i].desc = 'K&oslash;ligt';
        if (self.weatherObject.forecast[i].desc == 'Cloudy') self.weatherObject.forecast[i].desc = 'Overskyet';
        if (self.weatherObject.forecast[i].desc == 'Clouds and Sun') self.weatherObject.forecast[i].desc = 'Solrigt men delvist overskyet';
        if (self.weatherObject.forecast[i].desc == 'Clear') self.weatherObject.forecast[i].desc = 'Klart';
        if (self.weatherObject.forecast[i].desc == 'Dreary') self.weatherObject.forecast[i].desc = 'Trist';
        if (self.weatherObject.forecast[i].desc == 'Drizzle') self.weatherObject.forecast[i].desc = 'St&oslash;vregn';
        if (self.weatherObject.forecast[i].desc == 'Drizzle/Rain') self.weatherObject.forecast[i].desc = 'St&oslash;vregn';
        if (self.weatherObject.forecast[i].desc == 'Freezing Rain') self.weatherObject.forecast[i].desc = 'Is-Slag';
        if (self.weatherObject.forecast[i].desc == 'Fog') self.weatherObject.forecast[i].desc = 'T&aring;ge';
        if (self.weatherObject.forecast[i].desc == 'Foggy') self.weatherObject.forecast[i].desc = 'T&aring;get';
        if (self.weatherObject.forecast[i].desc == 'Groundfog') self.weatherObject.forecast[i].desc = 'Grund t&aring;ge';
        if (self.weatherObject.forecast[i].desc == 'Hazy Sunshine') self.weatherObject.forecast[i].desc = 'Solrigt men diset';
        if (self.weatherObject.forecast[i].desc == 'Hazy') self.weatherObject.forecast[i].desc = 'Diset';
        if (self.weatherObject.forecast[i].desc == 'Heavy Rain') self.weatherObject.forecast[i].desc = 'Kraftig regn';
        if (self.weatherObject.forecast[i].desc == 'Hot') self.weatherObject.forecast[i].desc = 'Varmt';
        if (self.weatherObject.forecast[i].desc == 'Flurries') self.weatherObject.forecast[i].desc = 'Slud';
        if (self.weatherObject.forecast[i].desc == 'Intermittent Clouds') self.weatherObject.forecast[i].desc = 'Vekslende skyet';
        if (self.weatherObject.forecast[i].desc == 'Ice') self.weatherObject.forecast[i].desc = 'IS';
        if (self.weatherObject.forecast[i].desc == 'Light Rain') self.weatherObject.forecast[i].desc = 'Let regn';
        if (self.weatherObject.forecast[i].desc == 'Light Rainshower') self.weatherObject.forecast[i].desc = 'Kraftig regnvejr';
        if (self.weatherObject.forecast[i].desc == 'Lgt.Rainshower') self.weatherObject.forecast[i].desc = 'Kraftig regnvejr';
        if (self.weatherObject.forecast[i].desc == 'Light Fog') self.weatherObject.forecast[i].desc = 'Let t&aring;ge';
        if (self.weatherObject.forecast[i].desc == 'Light Snowshower') self.weatherObject.forecast[i].desc = 'Let snevejr';
        if (self.weatherObject.forecast[i].desc == 'Light Snow') self.weatherObject.forecast[i].desc = 'let snefald';
        if (self.weatherObject.forecast[i].desc == 'Mist') self.weatherObject.forecast[i].desc = 'T&aring;ge';
        if (self.weatherObject.forecast[i].desc == 'Mostly Clear') self.weatherObject.forecast[i].desc = 'Delvist klart';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with snow') self.weatherObject.forecast[i].desc = 'Overskyet med sneer';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy') self.weatherObject.forecast[i].desc = 'Mest overskyet';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Overskyet med regn';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Overskyet med tordenskyer';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Overskyet med tordenvejr';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Flurries') self.weatherObject.forecast[i].desc = 'Overskyet med slud';
        if (self.weatherObject.forecast[i].desc == 'Mostly Sunny') self.weatherObject.forecast[i].desc = 'Solrigt';
        if (self.weatherObject.forecast[i].desc == 'Overcast') self.weatherObject.forecast[i].desc = 'Overskyet';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy') self.weatherObject.forecast[i].desc = 'Delvist overskyet';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Delvist overskirt med regn';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Delvist overskyet med tordenskyer';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Showers') self.weatherObject.forecast[i].desc = 'Delvist solrigt med byer';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Flurries') self.weatherObject.forecast[i].desc = 'Delvist solrigt med slud';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Delvist solrigt';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Thunder Showers') self.weatherObject.forecast[i].desc = 'Delvist solrigt med tordenskyer';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Delvist solrigt';
        if (self.weatherObject.forecast[i].desc == 'Plight Snow') self.weatherObject.forecast[i].desc = 'Kraftig snefald';
        if (self.weatherObject.forecast[i].desc == 'Rain') self.weatherObject.forecast[i].desc = 'Regn';
        if (self.weatherObject.forecast[i].desc == 'Rain Shower') self.weatherObject.forecast[i].desc = 'Kraftig regn';
        if (self.weatherObject.forecast[i].desc == 'Rain and Snow Mixed') self.weatherObject.forecast[i].desc = 'Blandet regnvejr';
        if (self.weatherObject.forecast[i].desc == 'Retired') self.weatherObject.forecast[i].desc = 'Aftagende';
        if (self.weatherObject.forecast[i].desc == 'scattered clouds') self.weatherObject.forecast[i].desc = 'Overskyet';
        if (self.weatherObject.forecast[i].desc == 'Sunshine and patchy clouds') self.weatherObject.forecast[i].desc = 'Solrigt med enkelte skyer';
        if (self.weatherObject.forecast[i].desc == 'Sunny') self.weatherObject.forecast[i].desc = 'Solrigt';
        if (self.weatherObject.forecast[i].desc == 'Showers') self.weatherObject.forecast[i].desc = 'Regnvejr';
        if (self.weatherObject.forecast[i].desc == 'Sleet') self.weatherObject.forecast[i].desc = 'Slud';
        if (self.weatherObject.forecast[i].desc == 'Snow') self.weatherObject.forecast[i].desc = 'Snevejr';
        if (self.weatherObject.forecast[i].desc == 'Some Clouds') self.weatherObject.forecast[i].desc = 'Enkelte skyer';
        if (self.weatherObject.forecast[i].desc == 'Thunderstorm') self.weatherObject.forecast[i].desc = 'Tordenvejr';
        if (self.weatherObject.forecast[i].desc == 'Windy') self.weatherObject.forecast[i].desc = 'Bl&aelig;sende';
    }
}

function translate_fr() {
	translateObj.minAgo = "Minutes auparavant";
    translateObj.sunrise = "Lever du soleil";
    translateObj.sunset = "Coucher du soleil";
	translateObj.observationtime = "Temps d'observation";
    translateObj.pressure = "Pression";
    translateObj.windgusts = "Des rafales de vent";
    translateObj.windspeed = "Vitesse du vent";
    translateObj.windDirection = "Direction du vent";
    translateObj.visibility = "La visibilit&eacute;";
    translateObj.precip = "Pr&eacute;cipitations";
    translateObj.uvIndex = "Indice UV";
    translateObj.dewpoint = "Point de ros&eacute;e";
    translateObj.cloudCover = "La couverture nuageuse";
    translateObj.moonPhase = "Phase lunaire";
    translateObj.moonText = "Texte lune";
    translateObj.rain = "La pluie";
    translateObj.snow = "La neige";
    translateObj.humidity = "L'humidit&eacute;";
    translateObj.hi = "Max";
    translateObj.lo = "Min";
    translateObj.real = "R&eacute;el";
    translateObj.units = "Unit&eacute;s";
/*
Moon Text
                                translateObj.moon1 = "New";

                                translateObj.moon2 = "Waxing Crescent";
                                translateObj.moon7 = "First";

                                translateObj.moon8 = "Waxing Gibbous";
                                translateObj.moon14 = "Full";

                                translateObj.moon15 = "Waning Gibbous";
                                translateObj.moon21 = "Last";

                                translateObj.moon22 = "Waning Crescent";
*/
    if (translateObj.moonText == 'New') moonText = 'Nouvelle lune';
    if (translateObj.moonText == 'Waxing Crescent') moonText ='Premier croissant de lune';
    if (translateObj.moonText == 'First') moonText = 'Premier quartier de lune';
    if (translateObj.moonText == 'Waxing Gibbous') moonText = 'Lune gibbeuse';
    if (translateObj.moonText == 'Full') moonText = 'Pleine lune';
    if (translateObj.moonText == 'Waning Gibbous') moonText = 'Lune gibbeuse';
    if (translateObj.moonText == 'Last') moonText = 'Dernier quartier de lune';
    if (translateObj.moonText == 'Waning Crescent') moonText ='Dernier croissant de lune';

    //description
    if (self.weatherObject.description.toLowerCase() == 'a shower') self.weatherObject.description = 'Averse';
	if (self.weatherObject.description.toLowerCase() == 'a flurry') self.weatherObject.description = 'L&eacute;g&egrave;res chutes de neige';
    if (self.weatherObject.description.toLowerCase() == 'cold') self.weatherObject.description = 'Froid';
    if (self.weatherObject.description.toLowerCase() == 'cool') self.weatherObject.description = 'Frais';
    if (self.weatherObject.description.toLowerCase() == 'cloudy') self.weatherObject.description = 'Nuageux';
    if (self.weatherObject.description.toLowerCase() == 'clouds and sun') self.weatherObject.description = 'Quelques nuages';
    if (self.weatherObject.description.toLowerCase() == 'clear') self.weatherObject.description = 'Clair';
    if (self.weatherObject.description.toLowerCase() == 'dreary') self.weatherObject.description = 'Lugubre';
    if (self.weatherObject.description.toLowerCase() == 'drizzle/rain') self.weatherObject.description = 'Pluie fine';
    if (self.weatherObject.description.toLowerCase() == 'freezing rain') self.weatherObject.description = 'Pluie vergla&ccedil;ante';
    if (self.weatherObject.description.toLowerCase() == 'fog') self.weatherObject.description = 'Brouillard';
    if (self.weatherObject.description.toLowerCase() == 'foggy') self.weatherObject.description = 'Brumeux';
    if (self.weatherObject.description.toLowerCase() == 'groundfog') self.weatherObject.description = 'Brouillard au sol';
    if (self.weatherObject.description.toLowerCase() == 'hazy sunshine') self.weatherObject.description = 'Brume de beau temps';
    if (self.weatherObject.description.toLowerCase() == 'hazy') self.weatherObject.description = 'Brumeux';
    if (self.weatherObject.description.toLowerCase() == 'heavy rain') self.weatherObject.description = 'Pluie battante';
    if (self.weatherObject.description.toLowerCase() == 'hot') self.weatherObject.description = 'Chaud';
	if (self.weatherObject.description.toLowerCase() == 'flurries') self.weatherObject.description = 'Averses de neige';
    if (self.weatherObject.description.toLowerCase() == 'intermittent clouds') self.weatherObject.description = 'Nuages intermittent';
    if (self.weatherObject.description.toLowerCase() == 'ice') self.weatherObject.description = 'Verglas';
    if (self.weatherObject.description.toLowerCase() == 'light rain') self.weatherObject.description = 'Risque de pluie';
    if (self.weatherObject.description.toLowerCase() == 'light rainshower') self.weatherObject.description = 'Fortes pluie';
    if (self.weatherObject.description.toLowerCase() == 'lgt.rainshower') self.weatherObject.description = 'Faible pluie';
    if (self.weatherObject.description.toLowerCase() == 'light fog') self.weatherObject.description = 'L&eacute;ger brouillard';
    if (self.weatherObject.description.toLowerCase() == 'light snowshower') self.weatherObject.description = 'Faible neige';
    if (self.weatherObject.description.toLowerCase() == 'lgt.snowshower') self.weatherObject.description = 'Fortes chutes de neige';
    if (self.weatherObject.description.toLowerCase() == 'light snow') self.weatherObject.description = 'Faible neige';
	if (self.weatherObject.description.toLowerCase() == 'mist') self.weatherObject.description = 'Brouillard';
    if (self.weatherObject.description.toLowerCase() == 'mostly clear') self.weatherObject.description = 'Partiellement clair';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with snow') self.weatherObject.description = 'Partiellement clair avec neige';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy') self.weatherObject.description = 'Tr&egrave;s couvert';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with showers') self.weatherObject.description = 'Couvert avec pluies faibles';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = 'Nuages orageux';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = 'Nuages orageux';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with flurries') self.weatherObject.description = 'Nuageux avec averses de neige';
    if (self.weatherObject.description.toLowerCase() == 'mostly sunny') self.weatherObject.description = 'Ensoleill&eacute;';
    if (self.weatherObject.description.toLowerCase() == 'overcast') self.weatherObject.description = 'Couvert';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy') self.weatherObject.description = 'Partiellement nuageux';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with showers') self.weatherObject.description = 'Partiellement nuageux avec averses'; 
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with thunder showers') self.weatherObject.description = 'Risques de tonnerre';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with showers') self.weatherObject.description = 'Partiellement ensoleill&eacute;';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with flurries') self.weatherObject.description = 'Partiellement ensoleill&eacute; avec pluie';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Ensoleill&eacute;';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with thunder showers') self.weatherObject.description = 'Partiellement ensoleill&eacute; avec des nuages d&aposorage';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'Ensoleill&eacute;';
    if (self.weatherObject.description.toLowerCase() == 'plight snow') self.weatherObject.description = ' Neige abondante';
    if (self.weatherObject.description.toLowerCase() == 'rain') self.weatherObject.description = 'Pluie';
    if (self.weatherObject.description.toLowerCase() == 'rain shower') self.weatherObject.description = 'Averse de pluie';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow') self.weatherObject.description = 'Pluie et neige';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow mixed') self.weatherObject.description = 'Plue et neige';
    if (self.weatherObject.description.toLowerCase() == 'retired') self.weatherObject.description = 'D&eacute;clin';
    if (self.weatherObject.description.toLowerCase() == 'scattered clouds') self.weatherObject.description = 'Quelques Nuages';
    if (self.weatherObject.description.toLowerCase() == 'sunshine and patchy clouds') self.weatherObject.description = 'Ensoleill&eacute; avec quelques nuages';
    if (self.weatherObject.description.toLowerCase() == 'sunny') self.weatherObject.description = 'Ensoleill&eacute;';
    if (self.weatherObject.description.toLowerCase() == 'showers') self.weatherObject.description = 'Averse';
    if (self.weatherObject.description.toLowerCase() == 'sleet') self.weatherObject.description = 'Neige fondue';
    if (self.weatherObject.description.toLowerCase() == 'snow') self.weatherObject.description = 'Neige'; 
    if (self.weatherObject.description.toLowerCase() == 'some clouds') self.weatherObject.description = 'Nuageux avec &eacute;claircies';
    if (self.weatherObject.description.toLowerCase() == 'thunderstorm') self.weatherObject.description = 'Orage';
    if (self.weatherObject.description.toLowerCase() == 'Windy') self.weatherObject.description = 'Venteux';
// New
    if (self.weatherObject.description.toLowerCase() == 'light rain drizzle') self.weatherObject.description = 'Faible pluie';
    if (self.weatherObject.description.toLowerCase() == 'light showers rain') self.weatherObject.description = 'Faibles averses de pluie';
    //forecast
    for (var i in self.weatherObject.forecast) {
        if (self.weatherObject.forecast[i].daycode == 'Sunday') self.weatherObject.forecast[i].daycode = 'Dimanche';
        if (self.weatherObject.forecast[i].daycode == 'Monday') self.weatherObject.forecast[i].daycode = 'Lundi';
        if (self.weatherObject.forecast[i].daycode == 'Tuesday') self.weatherObject.forecast[i].daycode = 'Mardi';
        if (self.weatherObject.forecast[i].daycode == 'Wednesday') self.weatherObject.forecast[i].daycode = 'Mercredi';
        if (self.weatherObject.forecast[i].daycode == 'Thursday') self.weatherObject.forecast[i].daycode = 'Jeudi';
        if (self.weatherObject.forecast[i].daycode == 'Friday') self.weatherObject.forecast[i].daycode = 'Vendredi';
        if (self.weatherObject.forecast[i].daycode == 'Saturday') self.weatherObject.forecast[i].daycode = 'Samedi';
        if (self.weatherObject.forecast[i].desc == 'A Shower') self.weatherObject.forecast[i].desc = 'Averses';
        if (self.weatherObject.forecast[i].desc == 'Cold') self.weatherObject.forecast[i].desc = 'Froid';
        if (self.weatherObject.forecast[i].desc == 'Chance of Rain') self.weatherObject.forecast[i].desc = 'Averses possibles';
        if (self.weatherObject.forecast[i].desc == 'Chance of Snow') self.weatherObject.forecast[i].desc = 'Chutes de neige possibles';
        if (self.weatherObject.forecast[i].desc == 'Cool') self.weatherObject.forecast[i].desc = 'Frais';
        if (self.weatherObject.forecast[i].desc == 'Cloudy') self.weatherObject.forecast[i].desc = 'Nuageux';
        if (self.weatherObject.forecast[i].desc == 'Clouds and Sun') self.weatherObject.forecast[i].desc = 'Eclaicies';
        if (self.weatherObject.forecast[i].desc == 'Clear') self.weatherObject.forecast[i].desc = 'Clair';
        if (self.weatherObject.forecast[i].desc == 'Dreary') self.weatherObject.forecast[i].desc = 'Triste';
        if (self.weatherObject.forecast[i].desc == 'Drizzle') self.weatherObject.forecast[i].desc = 'Bruine';
        if (self.weatherObject.forecast[i].desc == 'Drizzle/Rain') self.weatherObject.forecast[i].desc = 'bruine/pluie';
        if (self.weatherObject.forecast[i].desc == 'Freezing Rain') self.weatherObject.forecast[i].desc = 'pluie vergla&ccedil;ante';
        if (self.weatherObject.forecast[i].desc == 'Fog') self.weatherObject.forecast[i].desc = 'Brouillard';
        if (self.weatherObject.forecast[i].desc == 'Foggy') self.weatherObject.forecast[i].desc = 'Brouillard';
        if (self.weatherObject.forecast[i].desc == 'Groundfog') self.weatherObject.forecast[i].desc = 'Brouillard';
        if (self.weatherObject.forecast[i].desc == 'Hazy Sunshine') self.weatherObject.forecast[i].desc = 'Soleil brumeux';
        if (self.weatherObject.forecast[i].desc == 'Hazy') self.weatherObject.forecast[i].desc = 'Brumes';
        if (self.weatherObject.forecast[i].desc == 'Heavy Rain') self.weatherObject.forecast[i].desc = 'Forte Pluie';
        if (self.weatherObject.forecast[i].desc == 'Hot') self.weatherObject.forecast[i].desc = 'Chaud';
        if (self.weatherObject.forecast[i].desc == 'Flurries') self.weatherObject.forecast[i].desc = 'Neige';
        if (self.weatherObject.forecast[i].desc == 'Intermittent Clouds') self.weatherObject.forecast[i].desc = 'Nuages Eparses';
        if (self.weatherObject.forecast[i].desc == 'Ice') self.weatherObject.forecast[i].desc = 'Gel';
        if (self.weatherObject.forecast[i].desc == 'Light Rain') self.weatherObject.forecast[i].desc = 'Pluie legere';
        if (self.weatherObject.forecast[i].desc == 'Light Rainshower') self.weatherObject.forecast[i].desc = 'Faibles Pluies';
        if (self.weatherObject.forecast[i].desc == 'Lgt.Rainshower') self.weatherObject.forecast[i].desc = 'Faibles Pluies';
        if (self.weatherObject.forecast[i].desc == 'Light Fog') self.weatherObject.forecast[i].desc = 'Brouillard L&eacute;ger';
        if (self.weatherObject.forecast[i].desc == 'Light Snowshower') self.weatherObject.forecast[i].desc = 'Faibles Chutes de Neige';
        if (self.weatherObject.forecast[i].desc == 'Light Snow') self.weatherObject.forecast[i].desc = 'Faible Neige';
        if (self.weatherObject.forecast[i].desc == 'Mist') self.weatherObject.forecast[i].desc = 'Brouillard';
        if (self.weatherObject.forecast[i].desc == 'Mostly Clear') self.weatherObject.forecast[i].desc = 'Assez Clair';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with snow') self.weatherObject.forecast[i].desc = 'Assez Nuageux avec de la Neige';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy') self.weatherObject.forecast[i].desc = 'Assez Nuageux';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Assez Nuageux avec des Averses';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Assez Nuageux avec des Averses Orageuses';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Assez Nuageux avec des Averses Orageuses';
        if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Flurries') self.weatherObject.forecast[i].desc = 'Nuageux avec des Chutes de Neige';
        if (self.weatherObject.forecast[i].desc == 'Mostly Sunny') self.weatherObject.forecast[i].desc = 'Assez Ensoleill&eacute;';
        if (self.weatherObject.forecast[i].desc == 'Overcast') self.weatherObject.forecast[i].desc = 'Couvert';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy') self.weatherObject.forecast[i].desc = 'Partiellement Couvert';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Partiellement Couvert avec des Averses';
        if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Partiellement Couvert avec des Averses Orageuses';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Showers') self.weatherObject.forecast[i].desc = 'Partiellement Ensoleill&eacute; avec des Averses';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Flurries') self.weatherObject.forecast[i].desc = 'Partiellement Ensoleill&eacute; avec de la Neige';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Partiellement Ensoleill&eacute;';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Thunder Showers') self.weatherObject.forecast[i].desc = 'Partiellement Ensoleill&eacute; avec des Averses Orageuses';
        if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Partiellement Ensoleill&eacute;';
        if (self.weatherObject.forecast[i].desc == 'Plight Snow') self.weatherObject.forecast[i].desc = 'avec des Averses Orageuses';
        if (self.weatherObject.forecast[i].desc == 'Rain') self.weatherObject.forecast[i].desc = 'Pr&eacute;cipications';
        if (self.weatherObject.forecast[i].desc == 'Rain Shower') self.weatherObject.forecast[i].desc = 'Averses';
        if (self.weatherObject.forecast[i].desc == 'Rain and Snow Mixed') self.weatherObject.forecast[i].desc = 'Pluie ou Neige';
        if (self.weatherObject.forecast[i].desc == 'Retired') self.weatherObject.forecast[i].desc = 'D&eacute;gag&eacute;';
        if (self.weatherObject.forecast[i].desc == 'scattered clouds') self.weatherObject.forecast[i].desc = 'Nuage Eparses';
        if (self.weatherObject.forecast[i].desc == 'Sunshine and patchy clouds') self.weatherObject.forecast[i].desc = 'Variable';
        if (self.weatherObject.forecast[i].desc == 'Sunny') self.weatherObject.forecast[i].desc = 'Ensoleill&eacute;';
        if (self.weatherObject.forecast[i].desc == 'Showers') self.weatherObject.forecast[i].desc = 'Averses';
        if (self.weatherObject.forecast[i].desc == 'Sleet') self.weatherObject.forecast[i].desc = 'Neige Fondue';
        if (self.weatherObject.forecast[i].desc == 'Snow') self.weatherObject.forecast[i].desc = 'Neige';
        if (self.weatherObject.forecast[i].desc == 'Some Clouds') self.weatherObject.forecast[i].desc = 'Quelques Nuages';
        if (self.weatherObject.forecast[i].desc == 'Thunderstorm') self.weatherObject.forecast[i].desc = 'Orageux';
        if (self.weatherObject.forecast[i].desc == 'Windy') self.weatherObject.forecast[i].desc = 'Venteux';
    }
}


function translate_it() {

    translateObj.minAgo = "Minuti Fa";
    translateObj.sunrise = "Sorgere del Sole";
    translateObj.sunset = "Tramonto";
    translateObj.observationtime = "Tempo di Osservazione";
     translateObj.pressure = "Pressione";
     translateObj.windgusts = "Raffiche di Vento";
    translateObj.windspeed = "Velocit&aacute; del Vento";
    translateObj.windDirection = "Direzione del Vento";
    translateObj.visibility = "Visibilit&aacute;";
    translateObj.precip = "Precipitazione";
    translateObj.uvIndex = "Indice UV";
    translateObj.dewpoint = "Punto di Rugiada";
    translateObj.cloudCover = "Copertura Nuvolosa";
    translateObj.moonPhase = "Fasi Lunari";
    translateObj.moonText = "Luna Testo";
    translateObj.rain = "Pioggia";
    translateObj.snow = "Neve";
    translateObj.humidity = "Umidit&aacute;";
    translateObj.hi = "A";
    translateObj.lo = "B";
    translateObj.real = "R";
    translateObj.units = "Unit&aacute;:";

/*  if (translateObj.moonText == 'new') moonText = 'luna nuova';
    if (translateObj.moonText == 'waxing crescent') moonText = 'luna crescente';
    if (translateObj.moonText == 'first') moonText = 'prima luna';
    if (translateObj.moonText == 'waxing gibbous') moonText = 'ceretta luna gibbosa';
    if (translateObj.moonText == 'full') moonText = 'luna piena';
    if (translateObj.moonText == 'waning gibbous') moonText = 'luna calante gibboso';
    if (translateObj.moonText == 'last') moonText = 'dell'ultima luna';
    if (translateObj.moonText == 'waning crescent') moonText = 'falce di luna calante';
*/    

    //description

    if (self.weatherObject.description.toLowerCase() == 'a shower') self.weatherObject.description = 'una scrosciata';
    if (self.weatherObject.description.toLowerCase() == 'a flurry') self.weatherObject.description = 'una raffica';
    if (self.weatherObject.description.toLowerCase() == 'cold') self.weatherObject.description = 'freddo';
    if (self.weatherObject.description.toLowerCase() == 'cool') self.weatherObject.description = 'fresco';
    if (self.weatherObject.description.toLowerCase() == 'cloudy') self.weatherObject.description = 'nuvoloso';
    if (self.weatherObject.description.toLowerCase() == 'clouds and sun') self.weatherObject.description = 'nubi e schiarite';
    if (self.weatherObject.description.toLowerCase() == 'clear') self.weatherObject.description = 'sereno';
    if (self.weatherObject.description.toLowerCase() == 'dreary') self.weatherObject.description = 'pioggerella';
    if (self.weatherObject.description.toLowerCase() == 'drizzle/rain') self.weatherObject.description = 'pioggierella / pioggia';
    if (self.weatherObject.description.toLowerCase() == 'freezing rain') self.weatherObject.description = 'congelamento pioggia';
    if (self.weatherObject.description.toLowerCase() == 'fog') self.weatherObject.description = 'nebbia';
    if (self.weatherObject.description.toLowerCase() == 'foggy') self.weatherObject.description = 'nebbioso';
    if (self.weatherObject.description.toLowerCase() == 'groundfog') self.weatherObject.description = 'nebbia bassa';
    if (self.weatherObject.description.toLowerCase() == 'hazy sunshine') self.weatherObject.description = 'sole velato';
    if (self.weatherObject.description.toLowerCase() == 'hazy') self.weatherObject.description = 'nebbioso';
    if (self.weatherObject.description.toLowerCase() == 'heavy rain') self.weatherObject.description = 'forti piogge';
    if (self.weatherObject.description.toLowerCase() == 'hot') self.weatherObject.description = 'caldo';
    if (self.weatherObject.description.toLowerCase() == 'flurries') self.weatherObject.description = 'folate';
    if (self.weatherObject.description.toLowerCase() == 'intermittent clouds') self.weatherObject.description = 'nubi intermittenti';
    if (self.weatherObject.description.toLowerCase() == 'ice') self.weatherObject.description = 'ghiaccio';
    if (self.weatherObject.description.toLowerCase() == 'light rain') self.weatherObject.description = 'pioggia leggera';
    if (self.weatherObject.description.toLowerCase() == 'light rainshower') self.weatherObject.description = 'acquazzone leggero';
    if (self.weatherObject.description.toLowerCase() == 'lgt.rainshower') self.weatherObject.description = 'acquazzone leggero';
    if (self.weatherObject.description.toLowerCase() == 'light fog') self.weatherObject.description = 'leggera nebbia';
    if (self.weatherObject.description.toLowerCase() == 'light snowshower') self.weatherObject.description = 'leggera bufera d neve';
    if (self.weatherObject.description.toLowerCase() == 'lgt.snowshower') self.weatherObject.description = 'leggera bufera di neve';
    if (self.weatherObject.description.toLowerCase() == 'light snow') self.weatherObject.description = 'neve leggera';
    if (self.weatherObject.description.toLowerCase() == 'mist') self.weatherObject.description = 'nebbia';
    if (self.weatherObject.description.toLowerCase() == 'mostly clear') self.weatherObject.description = 'prevalentemente sereno';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with snow') self.weatherObject.description = 'molto nuvoloso con neve';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy') self.weatherObject.description = 'molto nuvoloso';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with showers') self.weatherObject.description = 'molto nuvoloso con rovesci';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = 'molto nuvoloso con temporali';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with thunder showers') self.weatherObject.description = 'molto nuvoloso con nevischio';
    if (self.weatherObject.description.toLowerCase() == 'mostly cloudy with flurries') self.weatherObject.description = 'molto nuvoloso con folate';
    if (self.weatherObject.description.toLowerCase() == 'mostly sunny') self.weatherObject.description = 'sereno o poco nuvoloso';
    if (self.weatherObject.description.toLowerCase() == 'overcast') self.weatherObject.description = 'nuvoloso';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy') self.weatherObject.description = 'parzialmente nuvoloso';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with showers') self.weatherObject.description = 'parzialmente nuvoloso con rovesci';
    if (self.weatherObject.description.toLowerCase() == 'partly cloudy with thunder showers') self.weatherObject.description = 'parzialmente nuvoloso con temporali';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with showers') self.weatherObject.description = 'parzialmente soleggiato con rovesci';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with flurries') self.weatherObject.description = 'parzialmente soleggiato con folate';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'parzialmente soleggiato';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny with thunder showers') self.weatherObject.description = 'parzialmente soleggiato con temporali';
    if (self.weatherObject.description.toLowerCase() == 'partly sunny') self.weatherObject.description = 'parzialmente soleggiato';
    if (self.weatherObject.description.toLowerCase() == 'plight snow') self.weatherObject.description = 'situazione neve';
    if (self.weatherObject.description.toLowerCase() == 'rain') self.weatherObject.description = 'pioggia';
    if (self.weatherObject.description.toLowerCase() == 'rain shower') self.weatherObject.description = 'pioggia forte';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow') self.weatherObject.description = 'pioggia e neve';
    if (self.weatherObject.description.toLowerCase() == 'rain and snow mixed') self.weatherObject.description = 'pioggia mista a neve';
    if (self.weatherObject.description.toLowerCase() == 'retired') self.weatherObject.description = 'fuori servizio';
    if (self.weatherObject.description.toLowerCase() == 'scattered clouds') self.weatherObject.description = 'nubi sparse';
    if (self.weatherObject.description.toLowerCase() == 'sunshine and patchy clouds') self.weatherObject.description = 'sole e nubi irregolari';
    if (self.weatherObject.description.toLowerCase() == 'sunny') self.weatherObject.description = 'soleggiato';
    if (self.weatherObject.description.toLowerCase() == 'showers') self.weatherObject.description = 'acquazzoni';
    if (self.weatherObject.description.toLowerCase() == 'sleet') self.weatherObject.description = 'nevischio';
    if (self.weatherObject.description.toLowerCase() == 'snow') self.weatherObject.description = 'neve';
    if (self.weatherObject.description.toLowerCase() == 'some clouds') self.weatherObject.description = 'alcune nuvole';
    if (self.weatherObject.description.toLowerCase() == 'thunderstorm') self.weatherObject.description = 'temporale';
    if (self.weatherObject.description.toLowerCase() == 'windy') self.weatherObject.description = 'ventoso';

    //forecast

    for (var i in self.weatherObject.forecast) {
	if (self.weatherObject.forecast[i].daycode == 'Sunday') self.weatherObject.forecast[i].daycode = 'Domenica';
	if (self.weatherObject.forecast[i].daycode == 'Monday') self.weatherObject.forecast[i].daycode = 'Lunedi';
	if (self.weatherObject.forecast[i].daycode == 'Tuesday') self.weatherObject.forecast[i].daycode = 'Marted&igrave;';
	if (self.weatherObject.forecast[i].daycode == 'Wednesday') self.weatherObject.forecast[i].daycode = 'Mercoled&igrave;';
	if (self.weatherObject.forecast[i].daycode == 'Thursday') self.weatherObject.forecast[i].daycode = 'Giovedi';
	if (self.weatherObject.forecast[i].daycode == 'Friday') self.weatherObject.forecast[i].daycode = 'Venerd&igrave;';
	if (self.weatherObject.forecast[i].daycode == 'Saturday') self.weatherObject.forecast[i].daycode = 'Sabato';
	if (self.weatherObject.forecast[i].desc == 'A Shower') self.weatherObject.forecast[i].desc = 'Una Scrosciata';
	if (self.weatherObject.forecast[i].desc == 'Cold') self.weatherObject.forecast[i].desc = 'Freddo';
	if (self.weatherObject.forecast[i].desc == 'Chance of Rain') self.weatherObject.forecast[i].desc = 'Possibilit&aacute; di Pioggia';
	if (self.weatherObject.forecast[i].desc == 'Chance of Snow') self.weatherObject.forecast[i].desc = 'Possibilit&aacute; di Neve';
	if (self.weatherObject.forecast[i].desc == 'Cool') self.weatherObject.forecast[i].desc = 'Fresco';
	if (self.weatherObject.forecast[i].desc == 'Cloudy') self.weatherObject.forecast[i].desc = 'Nuvoloso';
	if (self.weatherObject.forecast[i].desc == 'Clouds and Sun') self.weatherObject.forecast[i].desc = 'Nuvole e Sole';
	if (self.weatherObject.forecast[i].desc == 'Clear') self.weatherObject.forecast[i].desc = 'Sereno';
	if (self.weatherObject.forecast[i].desc == 'Dreary') self.weatherObject.forecast[i].desc = 'Triste';
	if (self.weatherObject.forecast[i].desc == 'Drizzle') self.weatherObject.forecast[i].desc = 'Pioggerella';
	if (self.weatherObject.forecast[i].desc == 'Drizzle/Rain') self.weatherObject.forecast[i].desc = 'Pioggierella/Pioggia';
	if (self.weatherObject.forecast[i].desc == 'Freezing Rain') self.weatherObject.forecast[i].desc = 'Congelamento Pioggia';
	if (self.weatherObject.forecast[i].desc == 'Fog') self.weatherObject.forecast[i].desc = 'Nebbia';
	if (self.weatherObject.forecast[i].desc == 'Foggy') self.weatherObject.forecast[i].desc = 'Nebbioso';
	if (self.weatherObject.forecast[i].desc == 'Groundfog') self.weatherObject.forecast[i].desc = 'Nebbia Bassa';
	if (self.weatherObject.forecast[i].desc == 'Hazy Sunshine') self.weatherObject.forecast[i].desc = 'Sole Velato';
	if (self.weatherObject.forecast[i].desc == 'Hazy') self.weatherObject.forecast[i].desc = 'Nebbioso';
	if (self.weatherObject.forecast[i].desc == 'Heavy Rain') self.weatherObject.forecast[i].desc = 'Forti Piogge';
	if (self.weatherObject.forecast[i].desc == 'Hot') self.weatherObject.forecast[i].desc = 'Caldo';
	if (self.weatherObject.forecast[i].desc == 'Flurries') self.weatherObject.forecast[i].desc = 'Folate';
	if (self.weatherObject.forecast[i].desc == 'Intermittent Clouds') self.weatherObject.forecast[i].desc = 'Nubi Intermittenti';
	if (self.weatherObject.forecast[i].desc == 'Ice') self.weatherObject.forecast[i].desc = 'Ghiaccio';
	if (self.weatherObject.forecast[i].desc == 'Light Rain') self.weatherObject.forecast[i].desc = 'Pioggia Leggera';
	if (self.weatherObject.forecast[i].desc == 'Light Rainshower') self.weatherObject.forecast[i].desc = 'Leggeri Acquazzoni';
	if (self.weatherObject.forecast[i].desc == 'Lgt.Rainshower') self.weatherObject.forecast[i].desc = 'Leggeri Acquazzoni';
	if (self.weatherObject.forecast[i].desc == 'Light Fog') self.weatherObject.forecast[i].desc = 'Nebbia Leggera';
	if (self.weatherObject.forecast[i].desc == 'Light Snowshower') self.weatherObject.forecast[i].desc = 'Leggera Bufera di Neve';
	if (self.weatherObject.forecast[i].desc == 'Light Snow') self.weatherObject.forecast[i].desc = 'Neve Leggera';
	if (self.weatherObject.forecast[i].desc == 'Mist') self.weatherObject.forecast[i].desc = 'Nebbia';
	if (self.weatherObject.forecast[i].desc == 'Mostly Clear') self.weatherObject.forecast[i].desc = 'Prevalentemente Sereno';
	if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with snow') self.weatherObject.forecast[i].desc = 'Molto Nuvoloso con Neve';
	if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy') self.weatherObject.forecast[i].desc = 'Molto Nuvoloso';
	if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Prevalentemente Nuvoloso con Rovesci';
	if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Molto Nuvoloso con Temporali';
	if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Molto Nuvoloso con Temporali';
	if (self.weatherObject.forecast[i].desc == 'Mostly Cloudy with Flurries') self.weatherObject.forecast[i].desc = 'Molto Nuvoloso con Folate';
	if (self.weatherObject.forecast[i].desc == 'Mostly Sunny') self.weatherObject.forecast[i].desc = 'Sereno o Poco Nuvoloso';
	if (self.weatherObject.forecast[i].desc == 'Overcast') self.weatherObject.forecast[i].desc = 'Nuvoloso';
	if (self.weatherObject.forecast[i].desc == 'Partly Cloudy') self.weatherObject.forecast[i].desc = 'Parzialmente Nuvoloso';
	if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Showers') self.weatherObject.forecast[i].desc = 'Parzialmente Nuvoloso con Rovesci';
	if (self.weatherObject.forecast[i].desc == 'Partly Cloudy with Thunder Showers') self.weatherObject.forecast[i].desc = 'Parzialmente Nuvoloso con Temporali';
	if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Showers') self.weatherObject.forecast[i].desc = 'Parzialmente Soleggiato con Rovesci';
	if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Flurries') self.weatherObject.forecast[i].desc = 'Parzialmente Soleggiato con Folate';
	if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Parzialmente Soleggiato';
	if (self.weatherObject.forecast[i].desc == 'Partly Sunny with Thunder Showers') self.weatherObject.forecast[i].desc = 'Parzialmente Soleggiato con Temporali';
	if (self.weatherObject.forecast[i].desc == 'Partly Sunny') self.weatherObject.forecast[i].desc = 'Parzialmente Soleggiato';
	if (self.weatherObject.forecast[i].desc == 'Plight Snow') self.weatherObject.forecast[i].desc = 'Situazione Neve';
	if (self.weatherObject.forecast[i].desc == 'Rain') self.weatherObject.forecast[i].desc = 'Pioggia';
	if (self.weatherObject.forecast[i].desc == 'Rain Shower') self.weatherObject.forecast[i].desc = 'Pioggia Forte';
	if (self.weatherObject.forecast[i].desc == 'Rain and Snow Mixed') self.weatherObject.forecast[i].desc = 'Pioggia Mista a Neve';
	if (self.weatherObject.forecast[i].desc == 'Retired') self.weatherObject.forecast[i].desc = 'Fuori Servizio';
	if (self.weatherObject.forecast[i].desc == 'scattered clouds') self.weatherObject.forecast[i].desc = 'Nubi Sparse';
	if (self.weatherObject.forecast[i].desc == 'Sunshine and patchy clouds') self.weatherObject.forecast[i].desc = 'Sole e Nubi Irregolari';
	if (self.weatherObject.forecast[i].desc == 'Sunny') self.weatherObject.forecast[i].desc = 'Soleggiato';
	if (self.weatherObject.forecast[i].desc == 'Showers') self.weatherObject.forecast[i].desc = 'Acquazzoni';
	if (self.weatherObject.forecast[i].desc == 'Sleet') self.weatherObject.forecast[i].desc = 'Nevischio';
	if (self.weatherObject.forecast[i].desc == 'Snow') self.weatherObject.forecast[i].desc = 'Neve';
	if (self.weatherObject.forecast[i].desc == 'Some Clouds') self.weatherObject.forecast[i].desc = 'Nubi Sparse';
	if (self.weatherObject.forecast[i].desc == 'Thunderstorm') self.weatherObject.forecast[i].desc = 'Temporale';
	if (self.weatherObject.forecast[i].desc == 'Windy') self.weatherObject.forecast[i].desc = 'Ventoso';

    }
}

function translate_arab() {

	translateObj.minAgo = "منز دقيقه";
	translateObj.sunrise = "طلوع الشمس";
	translateObj.sunset = "الغروب";
	translateObj.observationtime = "وقت الملاحضه";
	translateObj.pressure = "الضغط";
	translateObj.windgusts = "مصدر الرياح";
	translateObj.windspeed = "سرعه الرياح";
	translateObj.windDirection = "اتجاه الرياح";
	translateObj.visibility = "الرؤيه";
	translateObj.precip = "الامطار";
	translateObj.uvIndex = "شدة الاشعه الابنفسجيه";
	translateObj.dewpoint = "الندي ";
	translateObj.cloudCover = "السحب";
	translateObj.moonPhase = "مرحلة القمر:";
	translateObj.moonText = "نص القمرt";
	translateObj.rain = "المطر";
	translateObj.snow = "الثلج";
	translateObj.humidity = "الرطوبه";
	translateObj.hi = "العظمي";	 //the first letter for the word العظمي
	translateObj.lo = "الصغري";	 //the first letter for the word الصغري
	translateObj.real = "الحاليه";	//the first letter for the word الحاليه
	translateObj.minAgo = "Min Ago";  //minutes ago
	translateObj.sunrise = "طلوع الشمس";
	translateObj.sunset = "الغروب";
	translateObj.observationtime = "وقت الملاحظه";
	translateObj.pressure = "الضغط";
	translateObj.windgusts = "مصدر الرياح";
	translateObj.windspeed = "سرعه الرياح";
	translateObj.windDirection = "اتجاه الرياح";
	translateObj.visibility = "الرؤيه";
	translateObj.precip = "الامطار";
	translateObj.uvIndex = "الاشعه فوق الابنفسجيه";	 //Ultraviolet Index
	translateObj.dewpoint = "الندي";
	translateObj.cloudCover = "الغيوم";
	translateObj.moonPhase = "مرحاة القمر";
	translateObj.moonText = "نص القمر";
	translateObj.rain = "المطر";
	translateObj.snow = "الثلج";
	translateObj.humidity = "الرطوبه";
	translateObj.a = "لابد من تحيد موقعك";
	translateObj.b = "Please reset the table before performing another search.";
	translateObj.c = "Valid location not specified or there are no results.";
	translateObj.d = "Database has been upgraded.  Please reset your preferences.";
	translateObj.e = "Location Code & GPS position cannot both be blank.";
	translateObj.f = "When using the GPS option you also need to specify a zipcode above.";
	translateObj.g = "Weather Elements Setup";
	translateObj.h = "Location code (ZIP Code for the U.S.";
	translateObj.i = "صافي";
	translateObj.j = "اللي عاي. Click on the appropriate location code and it will be pasted in the field above.";
	translateObj.k = "ادخل اسم المدينه";
	translateObj.l = "ازهب";
	translateObj.m = "اعادة تعيين";
	translateObj.n = "المدينه";
	translateObj.o = "المقاطعه";
	translateObj.p = "الرمز البريدي";
	translateObj.q = "استخدامGPS:";
	translateObj.r = "نعم";
	translateObj.s = "لا";
	translateObj.t = "استخدم الرمز البريدي لو استخدمت gps.";
	translateObj.u = "تحديد موقعي بgps";
	translateObj.v = "نظام تحديد المواقع";
	translateObj.w = "صافي";
	translateObj.x = "وحدة درجه الحراره: ";
	translateObj.y = "وحدة الوقت: "
	translateObj.z = "24ساعه";
	translateObj.aa = "12ساعه";
	translateObj.ab = "اللغه";
	translateObj.ac = "عرض درجه الحراره الحاليه " ;
	translateObj.ad = "درجه الحراره الحاليهl: ";
	translateObj.ae = "الرسوم المتحركه: ";
	translateObj.af = "التحديث الزمني";
	translateObj.ag = "تقدم";
	translateObj.ah = "معاومات هامه";
	}
